Cross-site scripting in Ruby delayed_job_web and rails_admin Rails Gem

Published: 2018-01-12 13:47:58
Severity Low
Patch available NO
Number of vulnerabilities 2
CVE ID CVE-2017-12097
CVE-2017-12098
CVSSv3 5.6 [CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N/E:U/RL:U/RC:C]
5.6 [CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N/E:U/RL:U/RC:C]
CWE ID CWE-79
Exploitation vector Network
Public exploit N/A
Vulnerable software Ruby delayed_job_web Rails Gem
Ruby rails_admin Rails Gem
Vulnerable software versions Ruby delayed_job_web Rails Gem 1.4
Ruby rails_admin Rails Gem 1.2
Vendor URL Ruby

Security Advisory

1) Cross-site scripting

Description

The disclosed vulnerability allows a remote attacker to perform cross-site scripting (XSS) attacks.

The vulnerability exists in the delayed_job_web rails gem due to insufficient sanitization of user-supplied data. A remote attacker can trick the victim to follow a specially crafted link and execute arbitrary HTML and script code in user's browser in context of vulnerable website.

Successful exploitation of this vulnerability may allow a remote attacker to steal potentially sensitive information, change appearance of the web page, perform phishing and drive-by-download attacks.

Remediation

Cybersecurity Help is currently unaware of any solutions addressing the vulnerability.

External links

https://www.talosintelligence.com/vulnerability_reports/TALOS-2017-0449

2) Cross-site scripting

Description

The disclosed vulnerability allows a remote attacker to perform cross-site scripting (XSS) attacks.

The vulnerability exists in the rails_admin rails gem due to insufficient sanitization of user-supplied data. A remote attacker can trick the victim to follow a specially crafted link and execute arbitrary HTML and script code in user's browser in context of vulnerable website.

Successful exploitation of this vulnerability may allow a remote attacker to steal potentially sensitive information, change appearance of the web page, perform phishing and drive-by-download attacks.

Remediation

Cybersecurity Help is currently unaware of any solutions addressing the vulnerability.

External links

https://www.talosintelligence.com/vulnerability_reports/TALOS-2017-0449

Back to List